package com.me.brickbuster.entity.powerup;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.math.Vector2;
import com.me.brickbuster.entity.Ball;
import com.me.brickbuster.entity.Brick;
import com.me.brickbuster.state.PlayState;

public class MultiBallPowerUp extends PowerUp {

	private Vector2 pos;

	public MultiBallPowerUp(PlayState state, Brick brick) {
		super(state, brick, Color.ROYAL);
		this.pos = getPos().cpy();
	}

	@Override
	public void activate() {
		for (int x = 0; x < 2; x++) {
			Ball ball = new Ball(state);
			ball.setPos(pos.cpy());
			float angle = MathUtils.random(MathUtils.PI*2);
			ball.setDirection(new Vector2(MathUtils.cos(angle), MathUtils.sin(angle)));
			ball.setStuck(false);
			state.balls.add(ball);
		}
	}
}
